%define upstream_name s3transfer
Name: python-%{upstream_name}
Version: 0.3.3
Release: %mkrel 1
Source: https://github.com/boto/s3transfer/archive/%{version}/s3transfer-%{version}.tar.gz
License: ASL 2.0
Summary: Amazon S3 Transfer Manager for Python
URL: https://github.com/boto/botocore
Group: Development/Python
BuildArch: noarch

%description
S3transfer is a Python library for managing Amazon S3 transfers.

Note:
This project is not currently GA. If you are planning to use this code in
production, make sure to lock to a minor version as interfaces may break from
minor version to minor version. For a basic, stable interface of s3transfer,
try the interfaces exposed in boto3

%package -n python3-%{upstream_name}
Summary: Amazon S3 Transfer Manager for Python
Group: Development/Python
BuildRequires: python3dist(setuptools)
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
S3transfer is a Python library for managing Amazon S3 transfers.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitelib}/*


%changelog
* Sun Mar 29 2020 daviddavid <daviddavid> 0.3.3-1.mga8
+ Revision: 1562054
- new version: 0.3.3

* Sun Feb 16 2020 umeabot <umeabot> 0.2.0-3.mga8
+ Revision: 1533251
- Mageia 8 Mass Rebuild

* Thu Sep 19 2019 wally <wally> 0.2.0-2.mga8
+ Revision: 1443815
- rebuild for python3.8
- drop python2 support

* Sun Apr 21 2019 wally <wally> 0.2.0-1.mga7
+ Revision: 1394386
- new version 0.2.0

* Thu Jan 10 2019 shlomif <shlomif> 0.1.13-3.mga7
+ Revision: 1354277
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.13-2.mga7
+ Revision: 1290010
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 buchan <buchan> 0.1.13-1.mga7
+ Revision: 1217233
- imported package python-s3transfer

